%define lib_major       4
%define lib_name_orig   %mklibname ssh
%define lib_name        %mklibname ssh %{lib_major}
%define dev_name	%mklibname ssh -d

Summary:	C library to authenticate in a simple manner to one or more SSH servers
Name:		libssh
Version:	0.5.5
%define subrel	3
Release:	%mkrel 2
Epoch:		1
Group:		System/Libraries
License:	LGPLv2.1+
URL:		http://www.libssh.org
Source0:	http://git.libssh.org/projects/libssh.git/snapshot/%{name}-%{version}.tar.bz2
Patch0:		libssh-0.5.5-CVE-2014-0017.patch
Patch1:		libssh-0.5.5-CVE-2014-8132.patch
Patch2:		libssh-0.5.5-CVE-2015-3146.patch
BuildRequires:	doxygen
BuildRequires:	openssl-devel
BuildRequires:	cmake
BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libpcap-devel

%description
The ssh library was designed to be used by programmers needing a working 
SSH implementation by the mean of a library. The complete control of the 
client is made by the programmer. With libssh, you can remotely execute 
programs, transfer files, use a secure and transparent tunnel for your 
remote programs. With its Secure FTP implementation, you can play with 
remote files easily, without third-party programs others than libcrypto 
(from openssl). libssh features :

    * Full C library functions for manipulating a client-side SSH
      connection
    * Lesser GPL licensing -SSH2 protocol compliant
    * Fully configurable sessions
    * Support for AES-128,AES-192,AES-256,blowfish, in cbc mode
    * Use multiple SSH connections in a same process, at same time
    * Use multiple channels in the same connection
    * Thread safety when using different sessions at same time
    * Basic but correct SFTP implementation (secure file transfer)
    * RSA and DSS server public key supported
    * Compression support (with zlib)
    * Public key (RSA and DSS), password and keyboard-interactive
      authentication
    * Complete documentation about its API
    * Runs and tested under amd64, x86, arm, sparc32, ppc under Linux,
      BSD, MacosX and Solaris
    * A developer listening to you
    * It's free (LGPL)!

#--------------------------------------------------------------------


%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{lib_name}
The ssh library was designed to be used by programmers needing a working
SSH implementation by the mean of a library. The complete control of the
client is made by the programmer. With libssh, you can remotely execute
programs, transfer files, use a secure and transparent tunnel for your
remote programs. With its Secure FTP implementation, you can play with
remote files easily, without third-party programs others than libcrypto
(from openssl).

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{dev_name}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	ssh-devel = %{epoch}:%{version}-%{release}
Provides:	libssh-devel = %{epoch}:%{version}-%{release}

%description -n %{dev_name}
This package contains the development files for %{name}.

%files -n %{dev_name}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .CVE-2014-0017
%patch1 -p1 -b .CVE-2014-8132
%patch2 -p1 -b .CVE-2015-3146

%build
%cmake -DWITH_GCRYPT=ON -DWITH_PCAP=ON

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build


%changelog
* Wed May 06 2015 luigiwalser <luigiwalser> 1:0.5.5-2.3.mga4
+ Revision: 821334
- add upstream patch to fix CVE-2015-3146
- rediff upstream patch to fix CVE-2014-8132
- rediff upstream patch to fix CVE-2014-0017

* Sat Oct 19 2013 umeabot <umeabot> 1:0.5.5-2.mga4
+ Revision: 530650
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 1:0.5.5-1.mga4
+ Revision: 458705
- New version: 0.5.5

* Tue Jan 29 2013 luigiwalser <luigiwalser> 1:0.5.4-1.mga3
+ Revision: 393089
- 0.5.4 (fixes CVE-2013-0176)

* Sat Jan 12 2013 umeabot <umeabot> 1:0.5.3-2.mga3
+ Revision: 358208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 luigiwalser <luigiwalser> 1:0.5.3-1.mga3
+ Revision: 322162
- 0.5.3 (fixes CVE-2012-4559 and CVE-2012-466[0-2])

* Sat Sep 17 2011 fwang <fwang> 1:0.5.2-1.mga2
+ Revision: 144506
- new version 0.5.2

* Wed Sep 14 2011 tv <tv> 1:0.5.1-1.mga2
+ Revision: 143340
- fix file list
- new release

* Mon Jul 04 2011 dmorgan <dmorgan> 1:0.5.0-1.mga2
+ Revision: 118347
- Fix spec file
  Clean spec file

* Sat Jan 15 2011 mikala <mikala> 1:0.4.7-1.mga1
+ Revision: 18635
- Remove BuildRoot
- imported package libssh

